--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: port
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: socket
- !ruby/object:RI::MethodSummary 
  name: socket_file
comment: 
- !ruby/struct:SM::Flow::P 
  body: The God::Server oversees the DRb server which dishes out info on this God daemon.
constants: []

full_name: God::Socket
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: method_missing
- !ruby/object:RI::MethodSummary 
  name: ping
- !ruby/object:RI::MethodSummary 
  name: socket
- !ruby/object:RI::MethodSummary 
  name: socket_file
- !ruby/object:RI::MethodSummary 
  name: stop
name: Socket
superclass: Object
